
import 'package:wiialert/WIIAlertAction.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class WIIActionRowWidget extends StatelessWidget {
  WIIAlertAction _action;

  bool _hideLine;

  double _height;

  VoidCallback _tapAction;

  WIIActionRowWidget(this._action, this._hideLine, this._height, this._tapAction);

  @override
  Widget build(BuildContext context) {
    return new GestureDetector(
      onTap: respondsToGesture,
      child: new Container(
        height: _height,
        child: new Stack(
          children: <Widget>[
            createLineWidget(),
            createTitleWidget()
          ],
        ),
      ),
    );
  }

  Widget createLineWidget() {
    return new Positioned(
      left: 0,
      top: 0,
      right: 0,
      height: 0.5,
      child: new Container(
        color: Color(0xFFEFEFEF),
      ),
    );
  }

  Widget createTitleWidget() {
    return new Positioned(
      left: 0,
      right: 0,
      top: 1,
      bottom: 0,
      child: new Container(
        alignment: Alignment.center,
        child: new Text(
          _action.title,
          style: _action.textStyle(20)
        ),
      ),
    );
  }

  void respondsToGesture() {
    if (_action.handler != null) {
      _action.handler(_action);
    }
    if (_tapAction != null) {
      _tapAction();
    }
  }
}