
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class WIISheetContentRowWidget extends StatelessWidget {
  String _title;

  String _message;

  double _height;

  WIISheetContentRowWidget(this._title, this._message, this._height);

  @override
  Widget build(BuildContext context) {
    return new Container(
      height: _height,
      child: new Column(
        children: <Widget>[
          createTitleWidget(),
          createMessageWidget()
        ],
      ),
    );
  }

  Widget createTitleWidget() {
    if (_title == null || _title.length <= 0) {
      return new Container();
    }
    return new Container(
      padding: EdgeInsets.only(top: 14, left: 17, right: 17),
      child: new Text(
        _title,
        textAlign: TextAlign.center,
        style: new TextStyle(
          fontSize: 13,
          fontWeight: FontWeight.bold,
          color: Colors.grey
        ),
      ),
    );
  }

  Widget createMessageWidget() {
    if (_message == null || _message.length <= 0) {
      return new Container();
    }
    return new Container(
      padding: EdgeInsets.only(top: 14, left: 17, right: 17),
      child: new Text(
        _message,
        textAlign: TextAlign.center,
        style: new TextStyle(
          fontSize: 13,
          fontWeight: FontWeight.bold,
          color: Colors.grey
        ),
      ),
    );
  }
}
