
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class WIIAlertContentWidget extends StatelessWidget {

  String _title;
  String _msg;

  WIIAlertContentWidget(this._title, this._msg);

  @override
  Widget build(BuildContext context) {
    if (_title == null && _msg == null) {
      return new Container();
    }
    return new Column(
      children: <Widget>[
        createTitleWidget(),
        createMsgWidget()
      ],
    );
  }

  Widget createTitleWidget() {
    if (_title == null) {
      return new Container();
    }
    return new Container(
      padding: EdgeInsets.only(left: 21, right: 21, top: 21),
      alignment: Alignment.center,
      child: new Text(
        _title,
        style: new TextStyle(
          fontSize: 17,
          fontWeight: FontWeight.bold,
            color: Colors.black
        ),
      ),
    );
  }

  Widget createMsgWidget() {
    if (_msg == null) {
      return new Container();
    }
    return new Container(
      padding: EdgeInsets.only(left: 21, right: 21, top: 5),
      child: new Text(
        _msg,
        style: new TextStyle(
          fontSize: 13,
          color: Color(0xFF3F3F3F)
        ),
      ),
    );
  }
}